//
//  NoticeBoxView.swift
//  AcaMate
//
//  Created by TAnine on 2/11/25.
//

import SwiftUI

struct NoticeBoxView: View {
    @State var noticeList: [SummaryNotice]
    
    var body: some View {
        DashBoardView(image: Image(.Icon.notice), title: "공지사항") {
            ForEach(Array(noticeList.enumerated()), id: \.offset) { index, notice in
                
                if index < 3 {
                    NotiCellView(summaryNoti: notice)
                }
            }
            
            // 값없을때도 없다는거 보여주는 창 띄우기
            
        } moreAction: {
            // MARK: TO-DO
            // 공지사항 전체 페이지 이동 로직 추가
            printLog("공지사항의 더보기")
            
        }
    }
}

struct NotiCellView: View {
    var summaryNoti: SummaryNotice
    
    var body: some View {
        VStack(spacing: 8) {
            HStack(spacing: 12) {
                Image(summaryNoti.new ? .Icon.noticeNew : .Icon.noticeOld)
                    .resizable()
                    .frame(width: 24, height: 24, alignment: .center)
                Text("\(summaryNoti.title)")
                    .font(.nps(size: 20))
                    .foregroundStyle(Color(.Text.title))
                Spacer(minLength: 1)
            }
            HStack(spacing: 4) {
                Spacer(minLength: 1)
                Text("날짜 :")
                    .font(.nps(size: 12))
                    .foregroundStyle(Color(.Text.detail))
                Text("\(summaryNoti.date)")
                    .font(.nps(size: 12))
                    .foregroundStyle(Color(.Text.detail))
            }
        }
    }
}
